# Installation
> `npm install --save @types/react-qr-reader`

# Summary
This package contains type definitions for react-qr-reader (https://github.com/JodusNodus/react-qr-reader).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-qr-reader.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-qr-reader/index.d.ts)
````ts
import * as React from "react";

declare namespace QrReader {
    interface props {
        onScan: (data: string | null) => void;
        onError: (err: any) => void;
        onLoad?: (() => void) | undefined;
        onImageLoad?: ((event: React.SyntheticEvent<HTMLImageElement>) => void) | undefined;
        delay?: number | false | undefined;
        facingMode?: "user" | "environment" | undefined;
        legacyMode?: boolean | undefined;
        resolution?: number | undefined;
        showViewFinder?: boolean | undefined;
        style?: any;
        className?: string | undefined;
    }
}

export as namespace QrReader;

declare class QrReader extends React.Component<QrReader.props> {
    openImageDialog: () => void;
}

export = QrReader;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [David Kevork](https://github.com/davidkevork).
